<template>
  <div>
    <div id="sidebar-wrapper">
        <ul class="sidebar-nav">
            <li class="sidebar-brand">
                <p>Dashboard</p>
            </li>
            <li v-for="r in routes" :key="r.page">
              <a v-if="r.routes" data-toggle="collapse" :data-target='"#"+r.href' aria-expanded="false" :aria-controls='r.href'>
                {{r.page}} <i class="fa fa-sort-down" v-if="r.routes"></i>
              </a>
              <ul v-if="r.routes" :id='r.href' class="collapse multi-collapse" :aria-labelledby="r.href">
                <li v-for="child in r.routes" :key="child.page">
                  <span class="vl"></span><a :href='child.href'> {{child.page}} </a>
                </li>
              </ul>
              <a :href='r.href' v-else> {{r.page}} </a>
            </li>
        </ul>
    </div>
  </div>
</template>

<script>
export default {
  data: function() {
    return {
      routes: [
        {
          page: 'Home',
          href: '/' //to Page
        },
        {
          page: 'Produk',
          href: 'toggleProduk', //Toggle Child Element
          routes: [
            {
              page: 'Tambah',
              href: '/'
            },
            {
              page: 'Browse',
              href: '/product/browse'
            }
          ]
        },
        {
          page: 'Katalog',
          href: 'toggleKatalog',
          routes: [
            {
              page: 'Tambah',
              href: '/catalog/add'
            },
            {
              page: 'Browse',
              href: '/catalog/browse'
            }
          ]
        },
      ]
    }
  }
}
</script>


<style>

#sidebar-wrapper {
  z-index: 100;
  position: fixed;
  width: 180px;
  height: 100%;
  background: var(--color-bwhite);
}

.sidebar-nav {
  width: 180px;
  margin: 0;
  padding: 0;
  list-style: none;
}

.sidebar-nav li {
  text-indent: 20px;
  line-height: 40px;
}

.sidebar-nav li a {
  display: block;
  text-decoration: none;
  color: var(--color-wwhite);
}

.sidebar-nav li a:hover {
  text-decoration: none;
  color: #fff;
  background: var(--grey);
}

.sidebar-nav li a:active, .sidebar-nav li a:focus {
  text-decoration: none;
}

.sidebar-nav>.sidebar-brand {
  height: 65px;
  font-size: 18px;
  line-height: 60px;
}

.sidebar-nav>.sidebar-brand {
  color: var(--color-wwhite);
}

.sidebar-nav ul {
  list-style-type: none;
  padding-left: 20px;
}

a .fa-sort-down {
  color: var(--color-bwhite2);
  right: 0;
  padding-right: 30px;
  padding-top: 8px;
  position: absolute;
}

a:not([href]):not([tabindex]) {
    color: var(--color-wwhite);
    text-decoration: none;
}

a:not([href]):not([tabindex]):hover {
    color: #fff;
}

.vl {
  z-index: 100;
  left: 5;
  position: absolute;
  border-left: 2px solid var(--grey);
  height: 40px;
}

</style>
